Subject: Re: Problem with F:/ and /cygdrive/f/
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: Cygwin <[email-masked]>
Cc: Joey Mukherjee <[email-masked]>
Date: Fri, 12 Jan 2001 12:37:35 -0500

At 12:33 PM 1/12/2001, Earnie Boyd wrote:
>"Larry Hall (RFK Partners, Inc)" wrote:
> > 
> > At 11:54 AM 1/12/2001, Joey Mukherjee wrote:
> > >I have a program which works perfectly when I tell it to read from a file at
> > >/cygdrive/f/ .  However, when I set the directory to F:/, the program no
> > >longer works.
> > >
> > >The program is a simple dumper for one of our data files and it takes the
> > >name of the data file on the command line.  Now, when debugging everything
> > >looks fine.  The open succeeds, but the read starts reading garbage after
> > >the first read.
> > >
> > >This seemed really odd to me since I would figure the open would take care
> > >of any filename conversions.
> > >
> > >Thanks for any insight on what my problem might be...
> > >
> > >Joey
> > 
> > The output of cygcheck -s -r -v and a test case showing the problem would be
> > helpful.
> > 
>
>Not for this Larry.
>
>FAQ ALERT!!
>
>If you access a file via it's drive letter name, it will open it in text
>mode by default.  Chris, will adding binmode to CYGWIN help in this
>case?

Thanks Earnie.  You learn something new everyday. 

In this case, it sounds like the code in the program in question is the 
problem.  It should be properly ported and always open the files as binary
it seems.

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
118 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple